Bug 389101 - virt-manager fails to create KVM guests from CD-ROM installation media
virt-manager fails to create KVM guests from CD-ROM installation media
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 21:46 EST by Jesse Buchanan
Modified: 2008-07-15 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 14:07:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
virt-manager backtraces (2.09 KB, text/plain)
2007-11-17 21:46 EST, Jesse Buchanan
no flags Details

  None (edit)
Description Jesse Buchanan 2007-11-17 21:46:43 EST
Description of problem:

When attempting to create a virtual machine in virt-manager, based on CD-ROM or
DVD install media (i.e. not ISO image), clicking Finish results in an error:
 "Unable to complete install: 'virDomainCreateLinux() failed Timed out while
reading monitor startup output". Dismissing this error and clicking Finish again
will result in another error: "Unable to complete install: 'The CDROM device hdc
is already used'", and this error will persist and prevent the creation of a VM.
When using an ISO image to install the VM, there is no issue: it is created and
booted successfully.

Version-Release number of selected component (if applicable):

python-virtinst-0.300.1-3.fc8
virt-manager-0.5.2-2.fc8
libvirt-python-0.3.3-2.fc8
libvirt-0.3.3-2.fc8
kvm-36-7.fc8
qemu-0.9.0.5.fc8

How reproducible:

Always, on my two testing systems.

Steps to Reproduce:

1) Start 'virt-manager'.
3) Double click localhost list entry to connect to QEMU.
4) Right click on localhost list entry, click New.
5) "Create a new virtual system" appears. Click Forward.
6) Enter any system name, i.e. system1. Click Forward.
7) Select "Fully Virtualized" (the only possible option in my case). Click Forward.
8) Select CD-ROM or DVD. In "Path to install media", select "Fedora 8 i386 DVD".
(Note that oddly, in my case, this appears twice. It makes no difference which I
select.)
9) Select OS Type: Linux, OS Variant: Fedora 8. Click Forward.
10) Select Normal Disk Partition. Select any partition, i.e.
/dev/VolGroup00/system1. Click Forward.
11) Leave defaults for Network (Virtual Network, default.) Click Forward.
12) Leave defaults for Memory and CPUs (500 Max, 500 Startup, 1 VCPU). Click
Forward.
13) "Ready to begin installation": Click Finish.
14) See Actual Results #1.
15) Dismiss error dialog. Click Finish again.
16) See Actual Results #2.
  
Actual results #1:

CD drive begins to spin up. Dialog appears: "Unable to complete install:
'virDomainCreateLinux() failed Timed out while reading monitor startup output'".
Backtrace in Details section attached.

Actual results #2:

Dialog appears: "Unable to complete install: 'The CDROM device hdc is already
used'". Backtrace in Details section attached.

Expected results:

Upon clicking Finish, the virtual machine should be created and booted.

Additional info:

This is happening on two laptop systems, a Thinkpad T60 and a Dell XPS M1210,
both running Fedora 8 with updates to 2007-11-18. Both are Intel VT compliant
machines, with vmx flag. This bug also occurred in Fedora 7, albeit slightly
differently. However, as I have upgraded to Fedora 8 I am no longer able to
verify anything in F7.
Comment 1 Jesse Buchanan 2007-11-17 21:46:43 EST
Created attachment 262661 [details]
virt-manager backtraces
Comment 2 Jason Taylor 2007-11-27 16:12:00 EST
I am seeing the same problem on a Dell M1710, I can load .iso file installs fine
but trying to install from the CD produces the above error(s).
Comment 3 Edmond Hui 2007-12-07 12:59:11 EST
I am encounter this same error on T60 when creating a QEMU VM for XP

error reported:
Unable to complete install '<class 'libvirt.libvirtError'>
virDomainCreateLinux() failed Timed out while reading monitor startup output
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 616, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 724, in
start_install
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 741, in
_do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 573, in createLinux
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed Timed out while reading monitor
startup output
'
Comment 4 Edmond Hui 2007-12-07 13:04:01 EST
Did some more testing and found that a work around for this is to insert the
install media first before starting virt-manager, then the VM is created.
Comment 5 Edmond Hui 2007-12-07 13:38:29 EST
hum... the work around seem to be only work sometimes..... I retry the same
procedure and failed to create the VM.

back to square 1
Comment 6 Cole Robinson 2008-03-17 10:30:45 EDT
From comment #1: The error message "The CDROM device hdc is already used" was
from a bug where we would attempt to re-add the cdrom device if a guest install
failed. This should be fixed with the latest packages in F8. 

The "timed out" issue I'm not sure about.

Can anyone verify this is still an issue with the latest F8 packages? If so,
please post ~/.virt-manager/virt-manager.log here after the error.

Comment 7 Cole Robinson 2008-07-15 14:07:16 EDT
I'm closing this. It's been in needinfo for over 3 months, and at least the
apparent bug (backtrace number 2 from the log in comment 1) has been fixed for a
while.

Note You need to log in before you can comment on or make changes to this bug.